using AutoMapper;
using ConstructorApp.DtoLayer.WorkProcessDto;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorAppApi.Mapping
{
    public class WorkProcessMapping : Profile
    {
        public WorkProcessMapping()
        {
            CreateMap<WorkProcess, ResultWorkProcessDto>().ReverseMap();
            CreateMap<WorkProcess, GetWorkProcessDto>().ReverseMap();
            CreateMap<WorkProcess, UpdateWorkProcessDto>().ReverseMap();
        }
    }
}
